import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import java.util.Vector;

public class HumanPlayer extends Player {

	public HumanPlayer (String name) {
		super (name);
	}
	
	public String makeMove (Board b) {
		b.output();

		Vector moves = b.legalMoves(playerNumber);

		System.out.println ();
		System.out.print ( playerName + ", what move would you like to make? ");		
		String moveString = "";

		try {
			BufferedReader in = new BufferedReader (new InputStreamReader (System.in));
			while (moveString.equals ("")) {
				if (in.ready()) {				
					moveString = in.readLine();
					in.reset();
					in.close();
					in = null;
				} else {
					try {
						java.lang.Thread.sleep (200);
					} catch (InterruptedException i) {
					}
				}
			}
		} catch (IOException e) {
		//	e.printStackTrace();
		}
		return moveString;
	}
}
