public class MoveSuccessor implements Comparable {

    private Piece piece;
    private String move;
    private int moveValue;
    
    public MoveSuccessor (Piece p, String m, int mV) {
        piece = p;
        move = m;
        moveValue = mV;
    }
    
    public int getMoveValue() {
        return moveValue;
    }

    public Piece getPiece()  {
        return piece;
    }
    
    public String getMove() {
        return move;
    }
    
    public void setMoveValue (int m) {
        moveValue = m;
    }

    public int compareTo (Object o) {
        Integer m = new Integer (moveValue);
        MoveSuccessor mS = (MoveSuccessor) o;
        Integer n = new Integer (mS.getMoveValue());
        
        return m.compareTo (n);
    }   
    
    public String toString() {
    	return move;
    }
}
